For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
GuidesAPI ReferenceSDKs
GuidesAPI ReferenceSDKs
  • API
      • POSTCreate or Update a Customer
      • GETGet Customer by ID
      • GETGet Customers
      • POSTUpdate Customer by ID
Dashboard
Products
PaymentsDataPayouts
Company
AboutCareersContact Sales

Terms of Use | Privacy Policy | © 2026 Trustly, Inc.

Developer-friendly docs for your API
GitHub|Contact Support|Business Help Center|Merchant Portal
Terms of Use|Privacy Policy|© 2026 Trustly, Inc.
Developer-friendly docs for your API
LogoLogo
North AmericaEurope
North AmericaEurope
APICustomers

Get Customers

|View as Markdown|Open in Claude|
GET
https://sandbox.trustly.one/api/v1/customers
GET
/api/v1/customers
$curl https://sandbox.trustly.one/api/v1/customers \
> -u "<username>:<password>"
200Example
1{
2 "customers": [
3 {
4 "name": "John Doe",
5 "address": {
6 "country": "US",
7 "address1": "2000 Broadway St",
8 "city": "Redwood City",
9 "state": "CA",
10 "zip": "94063"
11 },
12 "phone": "+16505551212",
13 "email": "joe.user@mail.com",
14 "taxId": "012345678",
15 "createdAt": 1555696836548,
16 "updatedAt": 1555696836548,
17 "customerId": "1002580963",
18 "merchantId": "1002463580",
19 "driverLicense": {
20 "number": "A1234567",
21 "state": "CA"
22 }
23 }
24 ]
25}
Retrieves a list of customers associated with the merchant account. Use this endpoint to view customer details relevant to your integration. Results can be filtered by either the `externalId` or `customerId` properties in order to retrieve the details of a single customer using the unique `externalId` that was provided during customer creation. Other filtering and paging capabilities are not supported at this time.
Was this page helpful?
Previous

Get Customer by ID

Next

Update Customer by ID

Built with

Retrieves a list of customers associated with the merchant account. Use this endpoint to view customer details relevant to your integration.

Results can be filtered by either the externalId or customerId properties in order to retrieve the details of a single customer using the unique externalId that was provided during customer creation. Other filtering and paging capabilities are not supported at this time.

Authentication

AuthorizationBasic

Query parameters

externalIdstringOptional
The externalId that was passed when the Customer record was created.
customerIdstringOptional
The identifier of the Customer to be retrieved.

Response

OK
customerslist of objects